﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;
using UnityEngine.SceneManagement;

public class Player : MonoBehaviour
{
    public Rigidbody playerRB;

    public int maxHealth = 100;
    public int currentHealth;
    public Text lifePoints;

  
    // Start is called before the first frame update
    void Start()
    {
        currentHealth = maxHealth;
        lifePoints.text ="Health Point: " + currentHealth + "/" + maxHealth;
        playerRB = GetComponent<Rigidbody>();
    }

    // Update is called once per frame
    public void Update()
    {
        // code for player gameover either by losing health or falling off the map/platform
        if (playerRB.position.y < -1f)
        {
            FindObjectOfType<GameManager>().GameOver();
        }
    }

    // player take damage when hit by enemy attack 
  /*  public void PlayerTakeDamage(int damage)
    {
        currentHealth -= damage;

        //currentHealth -= 10;

        if (currentHealth <= 0f)
        {
            FindObjectOfType<GameManager>().GameOver();
        }
    } */


       void OnCollisionEnter(Collision collision)
       {
           if (collision.gameObject.tag == "Enemy")
           {
               currentHealth -= 20;

               if (currentHealth <= 0)
               {
                   FindObjectOfType<GameManager>().GameOver();
               //SceneManager.LoadScene(SceneManager.GetActiveScene().buildIndex + 0);
               } 
           }
       } 
}