﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Jump : MonoBehaviour
{
    private Rigidbody playerRb;
    public float jumpForce = 10.0f;
    public float gravityModifier = 5.0f;
    public bool isTouchingGround = true;

    // Start is called before the first frame update
    void Start()
    {
            playerRb = GetComponent<Rigidbody>();
            Physics.gravity *= gravityModifier;

    }

    // Update is called once per frame
    void Update()
    {
        if (Input.GetKeyDown(KeyCode.Space) && isTouchingGround)
        {
            playerRb.AddForce(Vector3.up * jumpForce, ForceMode.Impulse);
            isTouchingGround = false;
        }
    }

    private void OnCollisionStay(Collision collision)
    {
        isTouchingGround = true;
    }
}
